%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-css
Version:             1.6.0
Release:             2
Summary:             A CSS parser/stringifier for Node.js using css-parse and css-stringify
License:             MIT
URL:                 https://github.com/visionmedia/css
Source0:             http://registry.npmjs.org/css/-/css-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(css-parse) npm(css-stringify)
%endif
%description
%{summary}.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/css
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%__nodejs test
%endif

%files
%doc History.md LICENSE Readme.md
%{nodejs_sitelib}/css

%changelog
* Thu Nov 26 2020 caodongxia <caodongxia@huawei.com> - 1.6.0-2
- Delete file nodejs-css.spec.old

* Mon Aug 17 2020 Anan Fu <fuanan3@huawei.com> - 1.6.0-1
- package init
